import {
	baseUrl
} from "@/config.js";

function uploadFile(url, filePath, formData) {
	return new Promise((resolve, reject) => {
		uni.uploadFile({
			url: baseUrl + url, // 上传路径拼接 BASE_URL
			filePath: filePath, // 要上传文件资源的路径
			name: "file", // 文件对应的 key，开发者在服务端可以通过这个 key 获取文件的二进制内容
			formData: formData,
			header: {
				Authorization: "Bearer " + uni.getStorageSync("App-Token")
			},
			success: (res) => {
				resolve(res.data); // 成功回调返回服务器返回的数据
			},
			fail: (err) => {
				reject(err); // 失败回调返回错误信息
			}
		});
	});
}
export default uploadFile;